Jump to content
  • 0

Problemă importare bază de date [#1293]


Aesma

Question

Salut,după cum scrie și în Titlu,am o problemă cu importarea bazei de date pe anumite Host-uri datorită faptului că GameMode-ul meu folosește atât TIMESTAMP dar și CURRENT_TIMESTAMP,dacă modific variabilele în database în loc de CURRENT_TIMESTAMP și pun altceva de exemplu NULL sau None,baza de date pot să o urc apoi dar după ce intru pe server nu mai pot acționa nici o comandă,bizz-urile fiind buguite sau alte tabele unde aș fi putut modifica.  Am încercat să modific versiunea localhost-ului (recomandare de la cei de la Host,idk) în 5.5.68,versiune pe care Host-ul lor rulează, dar nu pot,de fiecare dată când o modific, dau start pe XAMPP,Apache pornește dar MySQL nu..,eroare,of course. Nu am vrut să mă iau după cei de la Host deoarece au spus să "șterg" tabelele care au CURRENT_TIMESTAMP la bază,nu pot face asta :)) fiindcă dacă le șterg nu-mi mai pornește serverul deloc,vă las eroarea mai jos,poate știți voi și dacă aveți bună-voința de a mă ajuta cu ea ar fi super,vă mulțumesc că ați acordat puțin timp citirii topic-ului ăsta.

Țin să menționez că GameMode-ul este un Bottles - LinkMania edit,dar numai pe anumite host-uri întâmpin această problemă,de exemplu pe găzduire jocuri nu întâmpin așa ceva sau când exista Zero Ping înainte la fel,nu aveam nici o problemă.

Eroare Import Db: 

#1293 - Incorrect table definition; there can be only one TIMESTAMP column with CURRENT_TIMESTAMP in DEFAULT or ON UPDATE clause

 

 

Link to comment
Share on other sites

4 answers to this question

Recommended Posts

  • 0

Din pacate acea eroare e de fapt o limitare la mysql 5.5 (de care eu unul as sta departe pentru ca end of life a fost in 31 dec 2018 adica daca exista buguri nu vor fi rezolvate si reprezinta si o mare problema de siguranta a datelor). In mysql 5.6+ (mysql 5.6 de asemenea a atins end of life in 1 februarie 2021) aceasta limitare a fost scoasa pentru ca nu mai exista suport pentru multe lucruri antice. Companiile care inca folosesc mysql 5.5 nu imi inspira incredere sincer pentru ca din 1 ianuarie 2019 au trecut mai mult de 2 ani in care puteau face upgrade si isi puteau ruga clienti sa isi modifici aplicatiile sa suporta noile versiuni de mysql.

Ca si workaround poti verifica https://stackoverflow.com/questions/4489548/why-there-can-be-only-one-timestamp-column-with-current-timestamp-in-default-cla pentru anumite soluti care sper ca iti vor functiona.

Desi faptul ca nu iti functioneaza serverul cu acele date gresite/null ma face sa cred ca tot scriptul e dependent de acele valori lucru care poate duce la alte probleme in viitor, dar nu ma bag aici pentru ca ultima data cand am deschis un astfel de script si doar am modificat un query in ceva mai eficient totul a cedat sa mai functioneze.

  • Thanks 1
Link to comment
Share on other sites

  • 0
2 hours ago, Banditul said:

Din pacate acea eroare e de fapt o limitare la mysql 5.5 (de care eu unul as sta departe pentru ca end of life a fost in 31 dec 2018 adica daca exista buguri nu vor fi rezolvate si reprezinta si o mare problema de siguranta a datelor). In mysql 5.6+ (mysql 5.6 de asemenea a atins end of life in 1 februarie 2021) aceasta limitare a fost scoasa pentru ca nu mai exista suport pentru multe lucruri antice. Companiile care inca folosesc mysql 5.5 nu imi inspira incredere sincer pentru ca din 1 ianuarie 2019 au trecut mai mult de 2 ani in care puteau face upgrade si isi puteau ruga clienti sa isi modifici aplicatiile sa suporta noile versiuni de mysql.

Ca si workaround poti verifica https://stackoverflow.com/questions/4489548/why-there-can-be-only-one-timestamp-column-with-current-timestamp-in-default-cla pentru anumite soluti care sper ca iti vor functiona.

Desi faptul ca nu iti functioneaza serverul cu acele date gresite/null ma face sa cred ca tot scriptul e dependent de acele valori lucru care poate duce la alte probleme in viitor, dar nu ma bag aici pentru ca ultima data cand am deschis un astfel de script si doar am modificat un query in ceva mai eficient totul a cedat sa mai functioneze.

Mersi pentru că ai reușit să îmi mai explici câte ceva despre această situație neplăcută,mulțumesc.  Dacă ar cumpăra alt Host care să nu folosească 5.5 versiunea de exemplu cum a zis el de la găzduire jocuri, situația ar fi diferită? Sau eroarea depinde doar de baza de date a serverului?

Edited by Tican Daniel Andrei
Wrong
Link to comment
Share on other sites

  • 0
9 minutes ago, Tican Daniel Andrei said:

Mersi pentru că ai reușit să îmi mai explici câte ceva despre această situație neplăcută,mulțumesc.  Dacă ar cumpăra alt Host care să nu folosească 5.5 versiunea de exemplu cum a zis el de la găzduire jocuri, situația ar fi diferită? Sau eroarea depinde doar de baza de date a serverului?

Eroarea depinde de versiunea folosita, daca este 5.5 sau mai veche vei intampina problema aceasta. Pentru informatia mai concreta https://stackoverflow.com/a/17498167 aceasta modificare a fost facuta mai precis in 5.6.5 deci daca hostul foloseste 5.6.4 sau mai veche probabil inca vei intampina problema. Nu stiu sigur daca in phpmyadmin apare versiunea (nu prea am folosit) dar poti rula SELECT VERSION();  in sectiunea query din phpmyadmin sau eventual acelasi query in ce client folosesti sa te conectezi la baza de date.

  • Upvote 1
Link to comment
Share on other sites

  • 0
4 hours ago, Banditul said:

Eroarea depinde de versiunea folosita, daca este 5.5 sau mai veche vei intampina problema aceasta. Pentru informatia mai concreta https://stackoverflow.com/a/17498167 aceasta modificare a fost facuta mai precis in 5.6.5 deci daca hostul foloseste 5.6.4 sau mai veche probabil inca vei intampina problema. Nu stiu sigur daca in phpmyadmin apare versiunea (nu prea am folosit) dar poti rula SELECT VERSION();  in sectiunea query din phpmyadmin sau eventual acelasi query in ce client folosesti sa te conectezi la baza de date.

Salut, mulțumesc de ajutor, am găsit o soluție și o voi împărtășii și cu voi,dacă vreți să rezolvați eroarea [#1293] fără a depune prea mult efort,vorbiți cu băieții de unde aveți voi Host ca să va schimbe versiunea din 5.4/5.5/5.6, în 5.7+, după ce i-am rugat și mi-au schimbat versiunea,limitarea în legătură cu eroarea  [#1293], a dispărut definitiv iar tabelele au fost încărcate cu succes, mulțumesc @Banditul pentru ajutor,poți da T/C ? Am rezolvat. 

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue. For more details you can also review our Terms of Use and Privacy Policy.